﻿using System;
using System.Collections.Generic;
namespace Mediator.Ejm1
{
    /// <summary>
    /// Mediador Concreto
    /// </summary>
    public class SalonDeChat : ISalonDeChat
    {
        private Dictionary<string, Usuario> participantes = new Dictionary<string, Usuario>();

        public SalonDeChat()
        {
            participantes = new Dictionary<string, Usuario>();
        }
        public void registra(Usuario user)
        {
            participantes.Add(user.getNombre(), user);
        }

        public void envia(string de, string a, string msg)
        {
            if (participantes.ContainsKey(de) && participantes.ContainsKey(a))
            {
                Usuario u = participantes[a];
                u.recibe(de, msg);
            }
            else
            {
                Console.WriteLine("Usuario inexistente");
            }
        }
    }
}
